Entire Class Index | Main Class Index | Cross Index | Global Index

# Class CL_TreeView

TreeView component
Contained in: global
Derived from: CL_Component CL_TreeNode
Derived by: none
Group: GUI (Controls)

#include <ClanLib/gui.h>

### public function member index:

### Construction:

`` | `CL_TreeView` | `(`CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;
`` | `CL_TreeView` | `(`const` `CL_Rect`& `pos`, `CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;
``virtual`` | `~CL_TreeView` | `()`;

### Attributes:

``CL_Component`*` | `get_client_area` | `() `const``;

### Signals:

``CL_Signal_v1`<`const` `CL_TreeNode`& >&` | `sig_selection_changed` | `()`;
``CL_Signal_v2`<`CL_TreeNode`* , `CL_Point`& >&` | `sig_paint_node` | `()`;

### private function member index:

### Implementation:

`` | `CL_TreeView` | `(`const` `CL_TreeView`& `copy`)`;

## Description:

## Function Member Descriptions:

CL_TreeView::CL_TreeView - TreeView Constructor
`` `CL_TreeView` `(`CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;

CL_TreeView::CL_TreeView - TreeView Constructor
`` `CL_TreeView` `(`const` `CL_Rect`& `pos`, `CL_Component`* `parent`, `CL_StyleManager`* `style` = NULL)`;

CL_TreeView::get_client_area - Returns the client area of the component.
``CL_Component`*` `get_client_area` `() `const``;

CL_TreeView::sig_paint_node - Draws the node (used by themes).
``CL_Signal_v2`<`CL_TreeNode`* , `CL_Point`& >&` `sig_paint_node` `()`;

CL_TreeView::sig_selection_changed - This signal is emitted when the selection set of a tree changes.
``CL_Signal_v1`<`const` `CL_TreeNode`& >&` `sig_selection_changed` `()`;

CL_TreeView::~CL_TreeView - TreeView Destructor
``virtual`` `~CL_TreeView` `()`;

## Variable Member Descriptions: